dat.analiz = true

local restartnow = function()
	rtcmem.write32(0, 501)
	if not topub then topub = {} end
	table.insert(topub, {'ip', wifi.sta.getip()})
	dofile 'mqttpub.lua'
	tmr.create():alarm(4500, 0, function() node.restart() end)
end

if #killtop ~= 0 then
	local com = table.remove(killtop)
	local top = com[1]
	local dt = com[2]
	if top and dt then
		if top == "work" then
			if dt == "ON" then
				dat.tgGAR = 20
				dat.work = 'ON'
				print("Work is ON")
			elseif dt == "OFF" then
				dat.tgGAR = 5
				dat.work = 'OFF'
				print("Work is OFF")
			elseif dt == 'AGR' then
				dat.tgGAR = 20
				dat.work = 'AGR'
				dat.tgHOME = dat.homeNow - 0.5
				print('Work is Agressive at Target: '..dat.tgHOME)
			end
			dofile'savedata.lua'
		
		elseif top == "banja" then
			if dt == "ON" then
				gpio.write(pins.banja, 1)
				dat.banja = 'ON'
				print("Banja is ON")
			elseif dt == "OFF" then
				gpio.write(pins.banja, 0)
				dat.banja = 'OFF'
				print("Banja is OFF")
		end

		elseif top == "tgHOME" then 
			local target = tonumber(dt) or 75
			if target == 75 then
				print('Got Wrong Target!')
			else
				if target < 17 then 
					dat.tgHOME = 17
				elseif target > 26 then 
					dat.tgHOME = 26
				else
					dat.tgHOME = target
				end
			end
			target = nil
			print('Set Target Home At '..dat.tgHOME)
		elseif top == "homeNow" then
			dat.homeNow = tonumber(dt) or 17
			timest.home = rtctime.get()
		elseif top == "garNow" then
			dat.garNow = tonumber(dt) or 22
			timest.gar = rtctime.get()
		elseif top == "ide" and dt == 'ON' then restartnow() end
		if not dat.publ then dofile('mqttpub.lua') end
	end	
	com, top, dt = nil, nil, nil
	dofile('mqttanalize.lua')
else
	dat.analiz = nil
end