rtctime.set(0, 0)
timest ={
	home = 0,
	gar = 0,
}

pins = {
	pumpHome = 6, -- L1
	pumpBoil = 1, -- L2
	pumpGar = 2, -- L3
	wiled = 7, -- wifi 
	banja = 8 -- L4
}
pinds = 4 -- DS18b20 pin

-- buttons:
--3 - L1 (GPIO0)  все 1 по умолчанию
--11 - L2 (GPIO9)
--12 - L3 (GPIO10)
--5 - L4 (GPIO14)

for _, v in pairs(pins) do
	gpio.mode(v, gpio.OUTPUT)
end

for _, v in pairs(pins) do
	gpio.write(v, gpio.LOW)
end
gpio.write(pins.wiled, gpio.HIGH)

dat = {
	work = 'OFF',
	pumpHome = 'ON',
	pumpBoil = 'OFF',
	pumpGar = 'OFF',
	tgHOME = 24,
	homeNow = 22,
	tgGAR = 5,
	garNow = 10,
	broker = false,
	senHom = 't044D', -- Датчик температуры в доме
	senGar = false, -- Датчик температуры в гараже
	banja = 'OFF'
}
dat.clnt = "garageheat"..node.chipid()

if file.exists('setsaveddat.lua') then
	dofile('setsaveddat.lua')
end

topub = {}
killtop = {}
dofile('mqttset.lua')
dofile('main.lua')